Disclosure Report Schedule Job¶
Get¶
HTTP Request
GET /api/v1/disclosure_reports/schedule-jobs/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "cronExpression": "string",
17 "cronReadable": "string",
18 "active": true,
19 "unauthorized": true,
20 "nextExecution": "2019-08-24T14:15:22Z",
21 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
22 "previousExecution": "2019-08-24T14:15:22Z",
23 "previousExecutionMessage": "string",
24 "batchSize": 0,
25 "name": "string",
26 "profileId": 0,
27 "input": {
28 "id": 0,
29 "accountingStandardType": "GAAP",
30 "classifications": [
31 "NON_LEASE"
32 ],
33 "fromYear": 0,
34 "fromPeriod": {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "day": 0,
39 "year": 0,
40 "month": 0,
41 "postingPeriod": 0,
42 "yearShift": 0
43 },
44 "toYear": 0,
45 "toPeriod": {
46 "id": 0,
47 "displayId": "string",
48 "status": "CREATED",
49 "day": 0,
50 "year": 0,
51 "month": 0,
52 "postingPeriod": 0,
53 "yearShift": 0
54 },
55 "fromDate": "2019-08-24",
56 "toDate": "2019-08-24",
57 "currencyDisplayId": "string",
58 "currencyType": "string",
59 "currencyDefinitionType": "CONTRACT_CURRENCY",
60 "activationGroupStatus": "AG_PENDING_ASSESSMENT",
61 "reportList": [
62 "NET_LEASE_INVESTMENT_REPORT"
63 ],
64 "listObjectType": "CONTRACT",
65 "objectList": [
66 {
67 "id": 0,
68 "displayId": "string",
69 "name": "string"
70 }
71 ],
72 "migratedFilterType": "MIGRATED",
73 "assetClassFilterType": "ALL",
74 "assetClasses": [
75 {
76 "id": 10000001,
77 "displayId": "IAC-001",
78 "status": {
79 "name": "ACTIVE",
80 "captionKey": "enum.objectStatus.active",
81 "active": true,
82 "caption": "Active"
83 },
84 "name": "Machinery and Equipment",
85 "assetClassType": "PROPERTY",
86 "infiniteUsefulLife": false
87 }
88 ],
89 "businessAreaFilterType": "ALL",
90 "businessAreas": [
91 {
92 "id": 3001,
93 "displayId": "BA-2025-001",
94 "status": {
95 "name": "ACTIVE",
96 "captionKey": "enum.objectStatus.active",
97 "active": true,
98 "caption": "Active"
99 },
100 "name": "North America Operations"
101 }
102 ],
103 "vendorFilterType": "ALL",
104 "vendors": [
105 {
106 "id": 10000012,
107 "displayId": "0000100003",
108 "status": {
109 "name": "ACTIVE",
110 "captionKey": "enum.objectStatus.active",
111 "active": true,
112 "caption": "Active"
113 },
114 "name": "TEST VENDOR GB",
115 "erpSystemDisplayId": "FINQ8S-300"
116 }
117 ]
118 },
119 "profile": {
120 "id": 0,
121 "name": "string",
122 "principalPositionType": "LESSEE",
123 "erpSystemFilterType": "ALL",
124 "erpSystems": [
125 {
126 "id": 0,
127 "displayId": "string",
128 "status": "CREATED",
129 "name": "string"
130 }
131 ],
132 "leaseAreaFilterType": "ALL",
133 "leaseAreas": [
134 {
135 "id": 0,
136 "displayId": "string",
137 "status": "CREATED",
138 "name": "string"
139 }
140 ],
141 "businessUnitFilterType": "ALL",
142 "businessUnits": [
143 {
144 "id": 0,
145 "displayId": "string",
146 "status": "CREATED",
147 "name": "string"
148 }
149 ],
150 "companyFilterType": "ALL",
151 "companyCodes": [
152 {
153 "id": 0,
154 "displayId": "string",
155 "status": "CREATED",
156 "erpSystemId": 0,
157 "erpSystemDisplayId": "string",
158 "countryId": 0,
159 "countryDisplayId": "string"
160 }
161 ],
162 "departmentFilterType": "ALL",
163 "leaseDepartments": [
164 {
165 "id": 0,
166 "displayId": "string",
167 "status": "CREATED",
168 "name": "string"
169 }
170 ],
171 "leaseGroupFilterType": "ALL",
172 "leaseGroups": [
173 {
174 "id": 0,
175 "displayId": "string",
176 "status": "CREATED",
177 "name": "string"
178 }
179 ],
180 "costCenterFilterType": "ALL",
181 "costCenters": [
182 {
183 "id": 0,
184 "displayId": "string",
185 "status": "CREATED",
186 "name": "string"
187 }
188 ],
189 "profitCenterFilterType": "ALL",
190 "profitCenters": [
191 {
192 "id": 0,
193 "displayId": "string",
194 "status": "CREATED",
195 "name": "string",
196 "validTo": "2019-08-24",
197 "erpSystemId": 0,
198 "erpSystemDisplayId": "string"
199 }
200 ],
201 "workBreakdownStructureFilterType": "ALL",
202 "workBreakdownStructures": [
203 {
204 "id": 0,
205 "displayId": "string",
206 "status": "CREATED",
207 "name": "string"
208 }
209 ],
210 "objectStatus": "CREATED",
211 "securityProfileId": 0,
212 "calendarType": "REGULAR_CALENDAR",
213 "fiscalVariant": {
214 "id": 0,
215 "displayId": "string",
216 "status": "CREATED",
217 "isCalendarYear": true,
218 "yearDependent": true,
219 "erpSystemDisplayId": "string"
220 },
221 "assetClassFilterType": "ALL",
222 "assetClasses": [
223 {
224 "id": "string",
225 "displayId": "Euro"
226 }
227 ],
228 "functionalAreaFilterType": "ALL",
229 "functionalAreas": [
230 {
231 "id": "string",
232 "displayId": "Euro"
233 }
234 ],
235 "businessAreaFilterType": "ALL",
236 "businessAreas": [
237 {
238 "id": "string",
239 "displayId": "Euro"
240 }
241 ],
242 "vendorFilterType": "ALL",
243 "vendors": [
244 {
245 "id": "string",
246 "displayId": "Euro"
247 }
248 ],
249 "leaseClassificationFilterType": "ALL",
250 "leaseClassifications": "string",
251 "accountingStandardType": "string",
252 "filterObjectDto": {
253 "id": 0,
254 "profileId": 0,
255 "displayId": "string",
256 "objectType": "string"
257 },
258 "scriptProfile": true
259 }
260 }
261}
Update¶
HTTP Request
PUT /api/v1/disclosure_reports/schedule-jobs/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "cronExpression": "string",
4 "cronReadable": "string",
5 "active": true,
6 "unauthorized": true,
7 "nextExecution": "2019-08-24T14:15:22Z",
8 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
9 "previousExecution": "2019-08-24T14:15:22Z",
10 "previousExecutionMessage": "string",
11 "batchSize": 0,
12 "name": "string",
13 "profileId": 0,
14 "input": {
15 "id": 0,
16 "accountingStandardType": "GAAP",
17 "classifications": [
18 "NON_LEASE"
19 ],
20 "fromYear": 0,
21 "fromPeriod": {
22 "id": 0,
23 "displayId": "string",
24 "status": "CREATED",
25 "day": 0,
26 "year": 0,
27 "month": 0,
28 "postingPeriod": 0,
29 "yearShift": 0
30 },
31 "toYear": 0,
32 "toPeriod": {
33 "id": 0,
34 "displayId": "string",
35 "status": "CREATED",
36 "day": 0,
37 "year": 0,
38 "month": 0,
39 "postingPeriod": 0,
40 "yearShift": 0
41 },
42 "fromDate": "2019-08-24",
43 "toDate": "2019-08-24",
44 "currencyDisplayId": "string",
45 "currencyType": "string",
46 "currencyDefinitionType": "CONTRACT_CURRENCY",
47 "activationGroupStatus": "AG_PENDING_ASSESSMENT",
48 "reportList": [
49 "NET_LEASE_INVESTMENT_REPORT"
50 ],
51 "listObjectType": "CONTRACT",
52 "objectList": [
53 {
54 "id": 0,
55 "displayId": "string",
56 "name": "string"
57 }
58 ],
59 "migratedFilterType": "MIGRATED",
60 "assetClassFilterType": "ALL",
61 "assetClasses": [
62 {
63 "id": 10000001,
64 "displayId": "IAC-001",
65 "status": {
66 "name": "ACTIVE",
67 "captionKey": "enum.objectStatus.active",
68 "active": true,
69 "caption": "Active"
70 },
71 "name": "Machinery and Equipment",
72 "assetClassType": "PROPERTY",
73 "infiniteUsefulLife": false
74 }
75 ],
76 "businessAreaFilterType": "ALL",
77 "businessAreas": [
78 {
79 "id": 3001,
80 "displayId": "BA-2025-001",
81 "status": {
82 "name": "ACTIVE",
83 "captionKey": "enum.objectStatus.active",
84 "active": true,
85 "caption": "Active"
86 },
87 "name": "North America Operations"
88 }
89 ],
90 "vendorFilterType": "ALL",
91 "vendors": [
92 {
93 "id": 10000012,
94 "displayId": "0000100003",
95 "status": {
96 "name": "ACTIVE",
97 "captionKey": "enum.objectStatus.active",
98 "active": true,
99 "caption": "Active"
100 },
101 "name": "TEST VENDOR GB",
102 "erpSystemDisplayId": "FINQ8S-300"
103 }
104 ]
105 },
106 "profile": {
107 "id": 0,
108 "name": "string",
109 "principalPositionType": "LESSEE",
110 "erpSystemFilterType": "ALL",
111 "erpSystems": [
112 {
113 "id": 0,
114 "displayId": "string",
115 "status": "CREATED",
116 "name": "string"
117 }
118 ],
119 "leaseAreaFilterType": "ALL",
120 "leaseAreas": [
121 {
122 "id": 0,
123 "displayId": "string",
124 "status": "CREATED",
125 "name": "string"
126 }
127 ],
128 "businessUnitFilterType": "ALL",
129 "businessUnits": [
130 {
131 "id": 0,
132 "displayId": "string",
133 "status": "CREATED",
134 "name": "string"
135 }
136 ],
137 "companyFilterType": "ALL",
138 "companyCodes": [
139 {
140 "id": 0,
141 "displayId": "string",
142 "status": "CREATED",
143 "erpSystemId": 0,
144 "erpSystemDisplayId": "string",
145 "countryId": 0,
146 "countryDisplayId": "string"
147 }
148 ],
149 "departmentFilterType": "ALL",
150 "leaseDepartments": [
151 {
152 "id": 0,
153 "displayId": "string",
154 "status": "CREATED",
155 "name": "string"
156 }
157 ],
158 "leaseGroupFilterType": "ALL",
159 "leaseGroups": [
160 {
161 "id": 0,
162 "displayId": "string",
163 "status": "CREATED",
164 "name": "string"
165 }
166 ],
167 "costCenterFilterType": "ALL",
168 "costCenters": [
169 {
170 "id": 0,
171 "displayId": "string",
172 "status": "CREATED",
173 "name": "string"
174 }
175 ],
176 "profitCenterFilterType": "ALL",
177 "profitCenters": [
178 {
179 "id": 0,
180 "displayId": "string",
181 "status": "CREATED",
182 "name": "string",
183 "validTo": "2019-08-24",
184 "erpSystemId": 0,
185 "erpSystemDisplayId": "string"
186 }
187 ],
188 "workBreakdownStructureFilterType": "ALL",
189 "workBreakdownStructures": [
190 {
191 "id": 0,
192 "displayId": "string",
193 "status": "CREATED",
194 "name": "string"
195 }
196 ],
197 "objectStatus": "CREATED",
198 "securityProfileId": 0,
199 "calendarType": "REGULAR_CALENDAR",
200 "fiscalVariant": {
201 "id": 0,
202 "displayId": "string",
203 "status": "CREATED",
204 "isCalendarYear": true,
205 "yearDependent": true,
206 "erpSystemDisplayId": "string"
207 },
208 "assetClassFilterType": "ALL",
209 "assetClasses": [
210 {
211 "id": "string",
212 "displayId": "Euro"
213 }
214 ],
215 "functionalAreaFilterType": "ALL",
216 "functionalAreas": [
217 {
218 "id": "string",
219 "displayId": "Euro"
220 }
221 ],
222 "businessAreaFilterType": "ALL",
223 "businessAreas": [
224 {
225 "id": "string",
226 "displayId": "Euro"
227 }
228 ],
229 "vendorFilterType": "ALL",
230 "vendors": [
231 {
232 "id": "string",
233 "displayId": "Euro"
234 }
235 ],
236 "leaseClassificationFilterType": "ALL",
237 "leaseClassifications": "string",
238 "accountingStandardType": "string",
239 "filterObjectDto": {
240 "id": 0,
241 "profileId": 0,
242 "displayId": "string",
243 "objectType": "string"
244 },
245 "scriptProfile": true
246 }
247}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "cronExpression": "string",
17 "cronReadable": "string",
18 "active": true,
19 "unauthorized": true,
20 "nextExecution": "2019-08-24T14:15:22Z",
21 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
22 "previousExecution": "2019-08-24T14:15:22Z",
23 "previousExecutionMessage": "string",
24 "batchSize": 0,
25 "name": "string",
26 "profileId": 0,
27 "input": {
28 "id": 0,
29 "accountingStandardType": "GAAP",
30 "classifications": [
31 "NON_LEASE"
32 ],
33 "fromYear": 0,
34 "fromPeriod": {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "day": 0,
39 "year": 0,
40 "month": 0,
41 "postingPeriod": 0,
42 "yearShift": 0
43 },
44 "toYear": 0,
45 "toPeriod": {
46 "id": 0,
47 "displayId": "string",
48 "status": "CREATED",
49 "day": 0,
50 "year": 0,
51 "month": 0,
52 "postingPeriod": 0,
53 "yearShift": 0
54 },
55 "fromDate": "2019-08-24",
56 "toDate": "2019-08-24",
57 "currencyDisplayId": "string",
58 "currencyType": "string",
59 "currencyDefinitionType": "CONTRACT_CURRENCY",
60 "activationGroupStatus": "AG_PENDING_ASSESSMENT",
61 "reportList": [
62 "NET_LEASE_INVESTMENT_REPORT"
63 ],
64 "listObjectType": "CONTRACT",
65 "objectList": [
66 {
67 "id": 0,
68 "displayId": "string",
69 "name": "string"
70 }
71 ],
72 "migratedFilterType": "MIGRATED",
73 "assetClassFilterType": "ALL",
74 "assetClasses": [
75 {
76 "id": 10000001,
77 "displayId": "IAC-001",
78 "status": {
79 "name": "ACTIVE",
80 "captionKey": "enum.objectStatus.active",
81 "active": true,
82 "caption": "Active"
83 },
84 "name": "Machinery and Equipment",
85 "assetClassType": "PROPERTY",
86 "infiniteUsefulLife": false
87 }
88 ],
89 "businessAreaFilterType": "ALL",
90 "businessAreas": [
91 {
92 "id": 3001,
93 "displayId": "BA-2025-001",
94 "status": {
95 "name": "ACTIVE",
96 "captionKey": "enum.objectStatus.active",
97 "active": true,
98 "caption": "Active"
99 },
100 "name": "North America Operations"
101 }
102 ],
103 "vendorFilterType": "ALL",
104 "vendors": [
105 {
106 "id": 10000012,
107 "displayId": "0000100003",
108 "status": {
109 "name": "ACTIVE",
110 "captionKey": "enum.objectStatus.active",
111 "active": true,
112 "caption": "Active"
113 },
114 "name": "TEST VENDOR GB",
115 "erpSystemDisplayId": "FINQ8S-300"
116 }
117 ]
118 },
119 "profile": {
120 "id": 0,
121 "name": "string",
122 "principalPositionType": "LESSEE",
123 "erpSystemFilterType": "ALL",
124 "erpSystems": [
125 {
126 "id": 0,
127 "displayId": "string",
128 "status": "CREATED",
129 "name": "string"
130 }
131 ],
132 "leaseAreaFilterType": "ALL",
133 "leaseAreas": [
134 {
135 "id": 0,
136 "displayId": "string",
137 "status": "CREATED",
138 "name": "string"
139 }
140 ],
141 "businessUnitFilterType": "ALL",
142 "businessUnits": [
143 {
144 "id": 0,
145 "displayId": "string",
146 "status": "CREATED",
147 "name": "string"
148 }
149 ],
150 "companyFilterType": "ALL",
151 "companyCodes": [
152 {
153 "id": 0,
154 "displayId": "string",
155 "status": "CREATED",
156 "erpSystemId": 0,
157 "erpSystemDisplayId": "string",
158 "countryId": 0,
159 "countryDisplayId": "string"
160 }
161 ],
162 "departmentFilterType": "ALL",
163 "leaseDepartments": [
164 {
165 "id": 0,
166 "displayId": "string",
167 "status": "CREATED",
168 "name": "string"
169 }
170 ],
171 "leaseGroupFilterType": "ALL",
172 "leaseGroups": [
173 {
174 "id": 0,
175 "displayId": "string",
176 "status": "CREATED",
177 "name": "string"
178 }
179 ],
180 "costCenterFilterType": "ALL",
181 "costCenters": [
182 {
183 "id": 0,
184 "displayId": "string",
185 "status": "CREATED",
186 "name": "string"
187 }
188 ],
189 "profitCenterFilterType": "ALL",
190 "profitCenters": [
191 {
192 "id": 0,
193 "displayId": "string",
194 "status": "CREATED",
195 "name": "string",
196 "validTo": "2019-08-24",
197 "erpSystemId": 0,
198 "erpSystemDisplayId": "string"
199 }
200 ],
201 "workBreakdownStructureFilterType": "ALL",
202 "workBreakdownStructures": [
203 {
204 "id": 0,
205 "displayId": "string",
206 "status": "CREATED",
207 "name": "string"
208 }
209 ],
210 "objectStatus": "CREATED",
211 "securityProfileId": 0,
212 "calendarType": "REGULAR_CALENDAR",
213 "fiscalVariant": {
214 "id": 0,
215 "displayId": "string",
216 "status": "CREATED",
217 "isCalendarYear": true,
218 "yearDependent": true,
219 "erpSystemDisplayId": "string"
220 },
221 "assetClassFilterType": "ALL",
222 "assetClasses": [
223 {
224 "id": "string",
225 "displayId": "Euro"
226 }
227 ],
228 "functionalAreaFilterType": "ALL",
229 "functionalAreas": [
230 {
231 "id": "string",
232 "displayId": "Euro"
233 }
234 ],
235 "businessAreaFilterType": "ALL",
236 "businessAreas": [
237 {
238 "id": "string",
239 "displayId": "Euro"
240 }
241 ],
242 "vendorFilterType": "ALL",
243 "vendors": [
244 {
245 "id": "string",
246 "displayId": "Euro"
247 }
248 ],
249 "leaseClassificationFilterType": "ALL",
250 "leaseClassifications": "string",
251 "accountingStandardType": "string",
252 "filterObjectDto": {
253 "id": 0,
254 "profileId": 0,
255 "displayId": "string",
256 "objectType": "string"
257 },
258 "scriptProfile": true
259 }
260 }
261}
Delete¶
HTTP Request
DELETE /api/v1/disclosure_reports/schedule-jobs/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Create Or Update Bulk¶
HTTP Request
PUT /api/v1/disclosure_reports/schedule-jobs/createOrUpdate/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "cronExpression": "string",
5 "cronReadable": "string",
6 "active": true,
7 "unauthorized": true,
8 "nextExecution": "2019-08-24T14:15:22Z",
9 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
10 "previousExecution": "2019-08-24T14:15:22Z",
11 "previousExecutionMessage": "string",
12 "batchSize": 0,
13 "name": "string",
14 "profileId": 0,
15 "input": {
16 "id": 0,
17 "accountingStandardType": "GAAP",
18 "classifications": [
19 "NON_LEASE"
20 ],
21 "fromYear": 0,
22 "fromPeriod": {
23 "id": 0,
24 "displayId": "string",
25 "status": "CREATED",
26 "day": 0,
27 "year": 0,
28 "month": 0,
29 "postingPeriod": 0,
30 "yearShift": 0
31 },
32 "toYear": 0,
33 "toPeriod": {
34 "id": 0,
35 "displayId": "string",
36 "status": "CREATED",
37 "day": 0,
38 "year": 0,
39 "month": 0,
40 "postingPeriod": 0,
41 "yearShift": 0
42 },
43 "fromDate": "2019-08-24",
44 "toDate": "2019-08-24",
45 "currencyDisplayId": "string",
46 "currencyType": "string",
47 "currencyDefinitionType": "CONTRACT_CURRENCY",
48 "activationGroupStatus": "AG_PENDING_ASSESSMENT",
49 "reportList": [
50 "NET_LEASE_INVESTMENT_REPORT"
51 ],
52 "listObjectType": "CONTRACT",
53 "objectList": [
54 {
55 "id": 0,
56 "displayId": "string",
57 "name": "string"
58 }
59 ],
60 "migratedFilterType": "MIGRATED",
61 "assetClassFilterType": "ALL",
62 "assetClasses": [
63 {
64 "id": 10000001,
65 "displayId": "IAC-001",
66 "status": {
67 "name": "ACTIVE",
68 "captionKey": "enum.objectStatus.active",
69 "active": true,
70 "caption": "Active"
71 },
72 "name": "Machinery and Equipment",
73 "assetClassType": "PROPERTY",
74 "infiniteUsefulLife": false
75 }
76 ],
77 "businessAreaFilterType": "ALL",
78 "businessAreas": [
79 {
80 "id": 3001,
81 "displayId": "BA-2025-001",
82 "status": {
83 "name": "ACTIVE",
84 "captionKey": "enum.objectStatus.active",
85 "active": true,
86 "caption": "Active"
87 },
88 "name": "North America Operations"
89 }
90 ],
91 "vendorFilterType": "ALL",
92 "vendors": [
93 {
94 "id": 10000012,
95 "displayId": "0000100003",
96 "status": {
97 "name": "ACTIVE",
98 "captionKey": "enum.objectStatus.active",
99 "active": true,
100 "caption": "Active"
101 },
102 "name": "TEST VENDOR GB",
103 "erpSystemDisplayId": "FINQ8S-300"
104 }
105 ]
106 },
107 "profile": {
108 "id": 0,
109 "name": "string",
110 "principalPositionType": "LESSEE",
111 "erpSystemFilterType": "ALL",
112 "erpSystems": [
113 {
114 "id": 0,
115 "displayId": "string",
116 "status": "CREATED",
117 "name": "string"
118 }
119 ],
120 "leaseAreaFilterType": "ALL",
121 "leaseAreas": [
122 {
123 "id": 0,
124 "displayId": "string",
125 "status": "CREATED",
126 "name": "string"
127 }
128 ],
129 "businessUnitFilterType": "ALL",
130 "businessUnits": [
131 {
132 "id": 0,
133 "displayId": "string",
134 "status": "CREATED",
135 "name": "string"
136 }
137 ],
138 "companyFilterType": "ALL",
139 "companyCodes": [
140 {
141 "id": 0,
142 "displayId": "string",
143 "status": "CREATED",
144 "erpSystemId": 0,
145 "erpSystemDisplayId": "string",
146 "countryId": 0,
147 "countryDisplayId": "string"
148 }
149 ],
150 "departmentFilterType": "ALL",
151 "leaseDepartments": [
152 {
153 "id": 0,
154 "displayId": "string",
155 "status": "CREATED",
156 "name": "string"
157 }
158 ],
159 "leaseGroupFilterType": "ALL",
160 "leaseGroups": [
161 {
162 "id": 0,
163 "displayId": "string",
164 "status": "CREATED",
165 "name": "string"
166 }
167 ],
168 "costCenterFilterType": "ALL",
169 "costCenters": [
170 {
171 "id": 0,
172 "displayId": "string",
173 "status": "CREATED",
174 "name": "string"
175 }
176 ],
177 "profitCenterFilterType": "ALL",
178 "profitCenters": [
179 {
180 "id": 0,
181 "displayId": "string",
182 "status": "CREATED",
183 "name": "string",
184 "validTo": "2019-08-24",
185 "erpSystemId": 0,
186 "erpSystemDisplayId": "string"
187 }
188 ],
189 "workBreakdownStructureFilterType": "ALL",
190 "workBreakdownStructures": [
191 {
192 "id": 0,
193 "displayId": "string",
194 "status": "CREATED",
195 "name": "string"
196 }
197 ],
198 "objectStatus": "CREATED",
199 "securityProfileId": 0,
200 "calendarType": "REGULAR_CALENDAR",
201 "fiscalVariant": {
202 "id": 0,
203 "displayId": "string",
204 "status": "CREATED",
205 "isCalendarYear": true,
206 "yearDependent": true,
207 "erpSystemDisplayId": "string"
208 },
209 "assetClassFilterType": "ALL",
210 "assetClasses": [
211 {
212 "id": "string",
213 "displayId": "Euro"
214 }
215 ],
216 "functionalAreaFilterType": "ALL",
217 "functionalAreas": [
218 {
219 "id": "string",
220 "displayId": "Euro"
221 }
222 ],
223 "businessAreaFilterType": "ALL",
224 "businessAreas": [
225 {
226 "id": "string",
227 "displayId": "Euro"
228 }
229 ],
230 "vendorFilterType": "ALL",
231 "vendors": [
232 {
233 "id": "string",
234 "displayId": "Euro"
235 }
236 ],
237 "leaseClassificationFilterType": "ALL",
238 "leaseClassifications": "string",
239 "accountingStandardType": "string",
240 "filterObjectDto": {
241 "id": 0,
242 "profileId": 0,
243 "displayId": "string",
244 "objectType": "string"
245 },
246 "scriptProfile": true
247 }
248 }
249]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "cronExpression": "string",
18 "cronReadable": "string",
19 "active": true,
20 "unauthorized": true,
21 "nextExecution": "2019-08-24T14:15:22Z",
22 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
23 "previousExecution": "2019-08-24T14:15:22Z",
24 "previousExecutionMessage": "string",
25 "batchSize": 0,
26 "name": "string",
27 "profileId": 0,
28 "input": {
29 "id": 0,
30 "accountingStandardType": "GAAP",
31 "classifications": [
32 "NON_LEASE"
33 ],
34 "fromYear": 0,
35 "fromPeriod": {
36 "id": 0,
37 "displayId": "string",
38 "status": "CREATED",
39 "day": 0,
40 "year": 0,
41 "month": 0,
42 "postingPeriod": 0,
43 "yearShift": 0
44 },
45 "toYear": 0,
46 "toPeriod": {
47 "id": 0,
48 "displayId": "string",
49 "status": "CREATED",
50 "day": 0,
51 "year": 0,
52 "month": 0,
53 "postingPeriod": 0,
54 "yearShift": 0
55 },
56 "fromDate": "2019-08-24",
57 "toDate": "2019-08-24",
58 "currencyDisplayId": "string",
59 "currencyType": "string",
60 "currencyDefinitionType": "CONTRACT_CURRENCY",
61 "activationGroupStatus": "AG_PENDING_ASSESSMENT",
62 "reportList": [
63 "NET_LEASE_INVESTMENT_REPORT"
64 ],
65 "listObjectType": "CONTRACT",
66 "objectList": [
67 {
68 "id": 0,
69 "displayId": "string",
70 "name": "string"
71 }
72 ],
73 "migratedFilterType": "MIGRATED",
74 "assetClassFilterType": "ALL",
75 "assetClasses": [
76 {
77 "id": 10000001,
78 "displayId": "IAC-001",
79 "status": {
80 "name": "ACTIVE",
81 "captionKey": "enum.objectStatus.active",
82 "active": true,
83 "caption": "Active"
84 },
85 "name": "Machinery and Equipment",
86 "assetClassType": "PROPERTY",
87 "infiniteUsefulLife": false
88 }
89 ],
90 "businessAreaFilterType": "ALL",
91 "businessAreas": [
92 {
93 "id": 3001,
94 "displayId": "BA-2025-001",
95 "status": {
96 "name": "ACTIVE",
97 "captionKey": "enum.objectStatus.active",
98 "active": true,
99 "caption": "Active"
100 },
101 "name": "North America Operations"
102 }
103 ],
104 "vendorFilterType": "ALL",
105 "vendors": [
106 {
107 "id": 10000012,
108 "displayId": "0000100003",
109 "status": {
110 "name": "ACTIVE",
111 "captionKey": "enum.objectStatus.active",
112 "active": true,
113 "caption": "Active"
114 },
115 "name": "TEST VENDOR GB",
116 "erpSystemDisplayId": "FINQ8S-300"
117 }
118 ]
119 },
120 "profile": {
121 "id": 0,
122 "name": "string",
123 "principalPositionType": "LESSEE",
124 "erpSystemFilterType": "ALL",
125 "erpSystems": [
126 {
127 "id": 0,
128 "displayId": "string",
129 "status": "CREATED",
130 "name": "string"
131 }
132 ],
133 "leaseAreaFilterType": "ALL",
134 "leaseAreas": [
135 {
136 "id": 0,
137 "displayId": "string",
138 "status": "CREATED",
139 "name": "string"
140 }
141 ],
142 "businessUnitFilterType": "ALL",
143 "businessUnits": [
144 {
145 "id": 0,
146 "displayId": "string",
147 "status": "CREATED",
148 "name": "string"
149 }
150 ],
151 "companyFilterType": "ALL",
152 "companyCodes": [
153 {
154 "id": 0,
155 "displayId": "string",
156 "status": "CREATED",
157 "erpSystemId": 0,
158 "erpSystemDisplayId": "string",
159 "countryId": 0,
160 "countryDisplayId": "string"
161 }
162 ],
163 "departmentFilterType": "ALL",
164 "leaseDepartments": [
165 {
166 "id": 0,
167 "displayId": "string",
168 "status": "CREATED",
169 "name": "string"
170 }
171 ],
172 "leaseGroupFilterType": "ALL",
173 "leaseGroups": [
174 {
175 "id": 0,
176 "displayId": "string",
177 "status": "CREATED",
178 "name": "string"
179 }
180 ],
181 "costCenterFilterType": "ALL",
182 "costCenters": [
183 {
184 "id": 0,
185 "displayId": "string",
186 "status": "CREATED",
187 "name": "string"
188 }
189 ],
190 "profitCenterFilterType": "ALL",
191 "profitCenters": [
192 {
193 "id": 0,
194 "displayId": "string",
195 "status": "CREATED",
196 "name": "string",
197 "validTo": "2019-08-24",
198 "erpSystemId": 0,
199 "erpSystemDisplayId": "string"
200 }
201 ],
202 "workBreakdownStructureFilterType": "ALL",
203 "workBreakdownStructures": [
204 {
205 "id": 0,
206 "displayId": "string",
207 "status": "CREATED",
208 "name": "string"
209 }
210 ],
211 "objectStatus": "CREATED",
212 "securityProfileId": 0,
213 "calendarType": "REGULAR_CALENDAR",
214 "fiscalVariant": {
215 "id": 0,
216 "displayId": "string",
217 "status": "CREATED",
218 "isCalendarYear": true,
219 "yearDependent": true,
220 "erpSystemDisplayId": "string"
221 },
222 "assetClassFilterType": "ALL",
223 "assetClasses": [
224 {
225 "id": "string",
226 "displayId": "Euro"
227 }
228 ],
229 "functionalAreaFilterType": "ALL",
230 "functionalAreas": [
231 {
232 "id": "string",
233 "displayId": "Euro"
234 }
235 ],
236 "businessAreaFilterType": "ALL",
237 "businessAreas": [
238 {
239 "id": "string",
240 "displayId": "Euro"
241 }
242 ],
243 "vendorFilterType": "ALL",
244 "vendors": [
245 {
246 "id": "string",
247 "displayId": "Euro"
248 }
249 ],
250 "leaseClassificationFilterType": "ALL",
251 "leaseClassifications": "string",
252 "accountingStandardType": "string",
253 "filterObjectDto": {
254 "id": 0,
255 "profileId": 0,
256 "displayId": "string",
257 "objectType": "string"
258 },
259 "scriptProfile": true
260 }
261 }
262 ]
263}
Create Or Update¶
HTTP Request
PUT /api/v1/disclosure_reports/schedule-jobs/createOrUpdate
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "cronExpression": "string",
4 "cronReadable": "string",
5 "active": true,
6 "unauthorized": true,
7 "nextExecution": "2019-08-24T14:15:22Z",
8 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
9 "previousExecution": "2019-08-24T14:15:22Z",
10 "previousExecutionMessage": "string",
11 "batchSize": 0,
12 "name": "string",
13 "profileId": 0,
14 "input": {
15 "id": 0,
16 "accountingStandardType": "GAAP",
17 "classifications": [
18 "NON_LEASE"
19 ],
20 "fromYear": 0,
21 "fromPeriod": {
22 "id": 0,
23 "displayId": "string",
24 "status": "CREATED",
25 "day": 0,
26 "year": 0,
27 "month": 0,
28 "postingPeriod": 0,
29 "yearShift": 0
30 },
31 "toYear": 0,
32 "toPeriod": {
33 "id": 0,
34 "displayId": "string",
35 "status": "CREATED",
36 "day": 0,
37 "year": 0,
38 "month": 0,
39 "postingPeriod": 0,
40 "yearShift": 0
41 },
42 "fromDate": "2019-08-24",
43 "toDate": "2019-08-24",
44 "currencyDisplayId": "string",
45 "currencyType": "string",
46 "currencyDefinitionType": "CONTRACT_CURRENCY",
47 "activationGroupStatus": "AG_PENDING_ASSESSMENT",
48 "reportList": [
49 "NET_LEASE_INVESTMENT_REPORT"
50 ],
51 "listObjectType": "CONTRACT",
52 "objectList": [
53 {
54 "id": 0,
55 "displayId": "string",
56 "name": "string"
57 }
58 ],
59 "migratedFilterType": "MIGRATED",
60 "assetClassFilterType": "ALL",
61 "assetClasses": [
62 {
63 "id": 10000001,
64 "displayId": "IAC-001",
65 "status": {
66 "name": "ACTIVE",
67 "captionKey": "enum.objectStatus.active",
68 "active": true,
69 "caption": "Active"
70 },
71 "name": "Machinery and Equipment",
72 "assetClassType": "PROPERTY",
73 "infiniteUsefulLife": false
74 }
75 ],
76 "businessAreaFilterType": "ALL",
77 "businessAreas": [
78 {
79 "id": 3001,
80 "displayId": "BA-2025-001",
81 "status": {
82 "name": "ACTIVE",
83 "captionKey": "enum.objectStatus.active",
84 "active": true,
85 "caption": "Active"
86 },
87 "name": "North America Operations"
88 }
89 ],
90 "vendorFilterType": "ALL",
91 "vendors": [
92 {
93 "id": 10000012,
94 "displayId": "0000100003",
95 "status": {
96 "name": "ACTIVE",
97 "captionKey": "enum.objectStatus.active",
98 "active": true,
99 "caption": "Active"
100 },
101 "name": "TEST VENDOR GB",
102 "erpSystemDisplayId": "FINQ8S-300"
103 }
104 ]
105 },
106 "profile": {
107 "id": 0,
108 "name": "string",
109 "principalPositionType": "LESSEE",
110 "erpSystemFilterType": "ALL",
111 "erpSystems": [
112 {
113 "id": 0,
114 "displayId": "string",
115 "status": "CREATED",
116 "name": "string"
117 }
118 ],
119 "leaseAreaFilterType": "ALL",
120 "leaseAreas": [
121 {
122 "id": 0,
123 "displayId": "string",
124 "status": "CREATED",
125 "name": "string"
126 }
127 ],
128 "businessUnitFilterType": "ALL",
129 "businessUnits": [
130 {
131 "id": 0,
132 "displayId": "string",
133 "status": "CREATED",
134 "name": "string"
135 }
136 ],
137 "companyFilterType": "ALL",
138 "companyCodes": [
139 {
140 "id": 0,
141 "displayId": "string",
142 "status": "CREATED",
143 "erpSystemId": 0,
144 "erpSystemDisplayId": "string",
145 "countryId": 0,
146 "countryDisplayId": "string"
147 }
148 ],
149 "departmentFilterType": "ALL",
150 "leaseDepartments": [
151 {
152 "id": 0,
153 "displayId": "string",
154 "status": "CREATED",
155 "name": "string"
156 }
157 ],
158 "leaseGroupFilterType": "ALL",
159 "leaseGroups": [
160 {
161 "id": 0,
162 "displayId": "string",
163 "status": "CREATED",
164 "name": "string"
165 }
166 ],
167 "costCenterFilterType": "ALL",
168 "costCenters": [
169 {
170 "id": 0,
171 "displayId": "string",
172 "status": "CREATED",
173 "name": "string"
174 }
175 ],
176 "profitCenterFilterType": "ALL",
177 "profitCenters": [
178 {
179 "id": 0,
180 "displayId": "string",
181 "status": "CREATED",
182 "name": "string",
183 "validTo": "2019-08-24",
184 "erpSystemId": 0,
185 "erpSystemDisplayId": "string"
186 }
187 ],
188 "workBreakdownStructureFilterType": "ALL",
189 "workBreakdownStructures": [
190 {
191 "id": 0,
192 "displayId": "string",
193 "status": "CREATED",
194 "name": "string"
195 }
196 ],
197 "objectStatus": "CREATED",
198 "securityProfileId": 0,
199 "calendarType": "REGULAR_CALENDAR",
200 "fiscalVariant": {
201 "id": 0,
202 "displayId": "string",
203 "status": "CREATED",
204 "isCalendarYear": true,
205 "yearDependent": true,
206 "erpSystemDisplayId": "string"
207 },
208 "assetClassFilterType": "ALL",
209 "assetClasses": [
210 {
211 "id": "string",
212 "displayId": "Euro"
213 }
214 ],
215 "functionalAreaFilterType": "ALL",
216 "functionalAreas": [
217 {
218 "id": "string",
219 "displayId": "Euro"
220 }
221 ],
222 "businessAreaFilterType": "ALL",
223 "businessAreas": [
224 {
225 "id": "string",
226 "displayId": "Euro"
227 }
228 ],
229 "vendorFilterType": "ALL",
230 "vendors": [
231 {
232 "id": "string",
233 "displayId": "Euro"
234 }
235 ],
236 "leaseClassificationFilterType": "ALL",
237 "leaseClassifications": "string",
238 "accountingStandardType": "string",
239 "filterObjectDto": {
240 "id": 0,
241 "profileId": 0,
242 "displayId": "string",
243 "objectType": "string"
244 },
245 "scriptProfile": true
246 }
247}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "cronExpression": "string",
17 "cronReadable": "string",
18 "active": true,
19 "unauthorized": true,
20 "nextExecution": "2019-08-24T14:15:22Z",
21 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
22 "previousExecution": "2019-08-24T14:15:22Z",
23 "previousExecutionMessage": "string",
24 "batchSize": 0,
25 "name": "string",
26 "profileId": 0,
27 "input": {
28 "id": 0,
29 "accountingStandardType": "GAAP",
30 "classifications": [
31 "NON_LEASE"
32 ],
33 "fromYear": 0,
34 "fromPeriod": {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "day": 0,
39 "year": 0,
40 "month": 0,
41 "postingPeriod": 0,
42 "yearShift": 0
43 },
44 "toYear": 0,
45 "toPeriod": {
46 "id": 0,
47 "displayId": "string",
48 "status": "CREATED",
49 "day": 0,
50 "year": 0,
51 "month": 0,
52 "postingPeriod": 0,
53 "yearShift": 0
54 },
55 "fromDate": "2019-08-24",
56 "toDate": "2019-08-24",
57 "currencyDisplayId": "string",
58 "currencyType": "string",
59 "currencyDefinitionType": "CONTRACT_CURRENCY",
60 "activationGroupStatus": "AG_PENDING_ASSESSMENT",
61 "reportList": [
62 "NET_LEASE_INVESTMENT_REPORT"
63 ],
64 "listObjectType": "CONTRACT",
65 "objectList": [
66 {
67 "id": 0,
68 "displayId": "string",
69 "name": "string"
70 }
71 ],
72 "migratedFilterType": "MIGRATED",
73 "assetClassFilterType": "ALL",
74 "assetClasses": [
75 {
76 "id": 10000001,
77 "displayId": "IAC-001",
78 "status": {
79 "name": "ACTIVE",
80 "captionKey": "enum.objectStatus.active",
81 "active": true,
82 "caption": "Active"
83 },
84 "name": "Machinery and Equipment",
85 "assetClassType": "PROPERTY",
86 "infiniteUsefulLife": false
87 }
88 ],
89 "businessAreaFilterType": "ALL",
90 "businessAreas": [
91 {
92 "id": 3001,
93 "displayId": "BA-2025-001",
94 "status": {
95 "name": "ACTIVE",
96 "captionKey": "enum.objectStatus.active",
97 "active": true,
98 "caption": "Active"
99 },
100 "name": "North America Operations"
101 }
102 ],
103 "vendorFilterType": "ALL",
104 "vendors": [
105 {
106 "id": 10000012,
107 "displayId": "0000100003",
108 "status": {
109 "name": "ACTIVE",
110 "captionKey": "enum.objectStatus.active",
111 "active": true,
112 "caption": "Active"
113 },
114 "name": "TEST VENDOR GB",
115 "erpSystemDisplayId": "FINQ8S-300"
116 }
117 ]
118 },
119 "profile": {
120 "id": 0,
121 "name": "string",
122 "principalPositionType": "LESSEE",
123 "erpSystemFilterType": "ALL",
124 "erpSystems": [
125 {
126 "id": 0,
127 "displayId": "string",
128 "status": "CREATED",
129 "name": "string"
130 }
131 ],
132 "leaseAreaFilterType": "ALL",
133 "leaseAreas": [
134 {
135 "id": 0,
136 "displayId": "string",
137 "status": "CREATED",
138 "name": "string"
139 }
140 ],
141 "businessUnitFilterType": "ALL",
142 "businessUnits": [
143 {
144 "id": 0,
145 "displayId": "string",
146 "status": "CREATED",
147 "name": "string"
148 }
149 ],
150 "companyFilterType": "ALL",
151 "companyCodes": [
152 {
153 "id": 0,
154 "displayId": "string",
155 "status": "CREATED",
156 "erpSystemId": 0,
157 "erpSystemDisplayId": "string",
158 "countryId": 0,
159 "countryDisplayId": "string"
160 }
161 ],
162 "departmentFilterType": "ALL",
163 "leaseDepartments": [
164 {
165 "id": 0,
166 "displayId": "string",
167 "status": "CREATED",
168 "name": "string"
169 }
170 ],
171 "leaseGroupFilterType": "ALL",
172 "leaseGroups": [
173 {
174 "id": 0,
175 "displayId": "string",
176 "status": "CREATED",
177 "name": "string"
178 }
179 ],
180 "costCenterFilterType": "ALL",
181 "costCenters": [
182 {
183 "id": 0,
184 "displayId": "string",
185 "status": "CREATED",
186 "name": "string"
187 }
188 ],
189 "profitCenterFilterType": "ALL",
190 "profitCenters": [
191 {
192 "id": 0,
193 "displayId": "string",
194 "status": "CREATED",
195 "name": "string",
196 "validTo": "2019-08-24",
197 "erpSystemId": 0,
198 "erpSystemDisplayId": "string"
199 }
200 ],
201 "workBreakdownStructureFilterType": "ALL",
202 "workBreakdownStructures": [
203 {
204 "id": 0,
205 "displayId": "string",
206 "status": "CREATED",
207 "name": "string"
208 }
209 ],
210 "objectStatus": "CREATED",
211 "securityProfileId": 0,
212 "calendarType": "REGULAR_CALENDAR",
213 "fiscalVariant": {
214 "id": 0,
215 "displayId": "string",
216 "status": "CREATED",
217 "isCalendarYear": true,
218 "yearDependent": true,
219 "erpSystemDisplayId": "string"
220 },
221 "assetClassFilterType": "ALL",
222 "assetClasses": [
223 {
224 "id": "string",
225 "displayId": "Euro"
226 }
227 ],
228 "functionalAreaFilterType": "ALL",
229 "functionalAreas": [
230 {
231 "id": "string",
232 "displayId": "Euro"
233 }
234 ],
235 "businessAreaFilterType": "ALL",
236 "businessAreas": [
237 {
238 "id": "string",
239 "displayId": "Euro"
240 }
241 ],
242 "vendorFilterType": "ALL",
243 "vendors": [
244 {
245 "id": "string",
246 "displayId": "Euro"
247 }
248 ],
249 "leaseClassificationFilterType": "ALL",
250 "leaseClassifications": "string",
251 "accountingStandardType": "string",
252 "filterObjectDto": {
253 "id": 0,
254 "profileId": 0,
255 "displayId": "string",
256 "objectType": "string"
257 },
258 "scriptProfile": true
259 }
260 }
261}
Schedule¶
HTTP Request
POST /api/v1/disclosure_reports/schedule-jobs/createOrUpdate
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "cronExpression": "string",
4 "cronReadable": "string",
5 "active": true,
6 "unauthorized": true,
7 "nextExecution": "2019-08-24T14:15:22Z",
8 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
9 "previousExecution": "2019-08-24T14:15:22Z",
10 "previousExecutionMessage": "string",
11 "batchSize": 0,
12 "name": "string",
13 "profileId": 0,
14 "input": {
15 "id": 0,
16 "accountingStandardType": "GAAP",
17 "classifications": [
18 "NON_LEASE"
19 ],
20 "fromYear": 0,
21 "fromPeriod": {
22 "id": 0,
23 "displayId": "string",
24 "status": "CREATED",
25 "day": 0,
26 "year": 0,
27 "month": 0,
28 "postingPeriod": 0,
29 "yearShift": 0
30 },
31 "toYear": 0,
32 "toPeriod": {
33 "id": 0,
34 "displayId": "string",
35 "status": "CREATED",
36 "day": 0,
37 "year": 0,
38 "month": 0,
39 "postingPeriod": 0,
40 "yearShift": 0
41 },
42 "fromDate": "2019-08-24",
43 "toDate": "2019-08-24",
44 "currencyDisplayId": "string",
45 "currencyType": "string",
46 "currencyDefinitionType": "CONTRACT_CURRENCY",
47 "activationGroupStatus": "AG_PENDING_ASSESSMENT",
48 "reportList": [
49 "NET_LEASE_INVESTMENT_REPORT"
50 ],
51 "listObjectType": "CONTRACT",
52 "objectList": [
53 {
54 "id": 0,
55 "displayId": "string",
56 "name": "string"
57 }
58 ],
59 "migratedFilterType": "MIGRATED",
60 "assetClassFilterType": "ALL",
61 "assetClasses": [
62 {
63 "id": 10000001,
64 "displayId": "IAC-001",
65 "status": {
66 "name": "ACTIVE",
67 "captionKey": "enum.objectStatus.active",
68 "active": true,
69 "caption": "Active"
70 },
71 "name": "Machinery and Equipment",
72 "assetClassType": "PROPERTY",
73 "infiniteUsefulLife": false
74 }
75 ],
76 "businessAreaFilterType": "ALL",
77 "businessAreas": [
78 {
79 "id": 3001,
80 "displayId": "BA-2025-001",
81 "status": {
82 "name": "ACTIVE",
83 "captionKey": "enum.objectStatus.active",
84 "active": true,
85 "caption": "Active"
86 },
87 "name": "North America Operations"
88 }
89 ],
90 "vendorFilterType": "ALL",
91 "vendors": [
92 {
93 "id": 10000012,
94 "displayId": "0000100003",
95 "status": {
96 "name": "ACTIVE",
97 "captionKey": "enum.objectStatus.active",
98 "active": true,
99 "caption": "Active"
100 },
101 "name": "TEST VENDOR GB",
102 "erpSystemDisplayId": "FINQ8S-300"
103 }
104 ]
105 },
106 "profile": {
107 "id": 0,
108 "name": "string",
109 "principalPositionType": "LESSEE",
110 "erpSystemFilterType": "ALL",
111 "erpSystems": [
112 {
113 "id": 0,
114 "displayId": "string",
115 "status": "CREATED",
116 "name": "string"
117 }
118 ],
119 "leaseAreaFilterType": "ALL",
120 "leaseAreas": [
121 {
122 "id": 0,
123 "displayId": "string",
124 "status": "CREATED",
125 "name": "string"
126 }
127 ],
128 "businessUnitFilterType": "ALL",
129 "businessUnits": [
130 {
131 "id": 0,
132 "displayId": "string",
133 "status": "CREATED",
134 "name": "string"
135 }
136 ],
137 "companyFilterType": "ALL",
138 "companyCodes": [
139 {
140 "id": 0,
141 "displayId": "string",
142 "status": "CREATED",
143 "erpSystemId": 0,
144 "erpSystemDisplayId": "string",
145 "countryId": 0,
146 "countryDisplayId": "string"
147 }
148 ],
149 "departmentFilterType": "ALL",
150 "leaseDepartments": [
151 {
152 "id": 0,
153 "displayId": "string",
154 "status": "CREATED",
155 "name": "string"
156 }
157 ],
158 "leaseGroupFilterType": "ALL",
159 "leaseGroups": [
160 {
161 "id": 0,
162 "displayId": "string",
163 "status": "CREATED",
164 "name": "string"
165 }
166 ],
167 "costCenterFilterType": "ALL",
168 "costCenters": [
169 {
170 "id": 0,
171 "displayId": "string",
172 "status": "CREATED",
173 "name": "string"
174 }
175 ],
176 "profitCenterFilterType": "ALL",
177 "profitCenters": [
178 {
179 "id": 0,
180 "displayId": "string",
181 "status": "CREATED",
182 "name": "string",
183 "validTo": "2019-08-24",
184 "erpSystemId": 0,
185 "erpSystemDisplayId": "string"
186 }
187 ],
188 "workBreakdownStructureFilterType": "ALL",
189 "workBreakdownStructures": [
190 {
191 "id": 0,
192 "displayId": "string",
193 "status": "CREATED",
194 "name": "string"
195 }
196 ],
197 "objectStatus": "CREATED",
198 "securityProfileId": 0,
199 "calendarType": "REGULAR_CALENDAR",
200 "fiscalVariant": {
201 "id": 0,
202 "displayId": "string",
203 "status": "CREATED",
204 "isCalendarYear": true,
205 "yearDependent": true,
206 "erpSystemDisplayId": "string"
207 },
208 "assetClassFilterType": "ALL",
209 "assetClasses": [
210 {
211 "id": "string",
212 "displayId": "Euro"
213 }
214 ],
215 "functionalAreaFilterType": "ALL",
216 "functionalAreas": [
217 {
218 "id": "string",
219 "displayId": "Euro"
220 }
221 ],
222 "businessAreaFilterType": "ALL",
223 "businessAreas": [
224 {
225 "id": "string",
226 "displayId": "Euro"
227 }
228 ],
229 "vendorFilterType": "ALL",
230 "vendors": [
231 {
232 "id": "string",
233 "displayId": "Euro"
234 }
235 ],
236 "leaseClassificationFilterType": "ALL",
237 "leaseClassifications": "string",
238 "accountingStandardType": "string",
239 "filterObjectDto": {
240 "id": 0,
241 "profileId": 0,
242 "displayId": "string",
243 "objectType": "string"
244 },
245 "scriptProfile": true
246 }
247}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "cronExpression": "string",
17 "cronReadable": "string",
18 "active": true,
19 "unauthorized": true,
20 "nextExecution": "2019-08-24T14:15:22Z",
21 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
22 "previousExecution": "2019-08-24T14:15:22Z",
23 "previousExecutionMessage": "string",
24 "batchSize": 0,
25 "name": "string",
26 "profileId": 0,
27 "input": {
28 "id": 0,
29 "accountingStandardType": "GAAP",
30 "classifications": [
31 "NON_LEASE"
32 ],
33 "fromYear": 0,
34 "fromPeriod": {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "day": 0,
39 "year": 0,
40 "month": 0,
41 "postingPeriod": 0,
42 "yearShift": 0
43 },
44 "toYear": 0,
45 "toPeriod": {
46 "id": 0,
47 "displayId": "string",
48 "status": "CREATED",
49 "day": 0,
50 "year": 0,
51 "month": 0,
52 "postingPeriod": 0,
53 "yearShift": 0
54 },
55 "fromDate": "2019-08-24",
56 "toDate": "2019-08-24",
57 "currencyDisplayId": "string",
58 "currencyType": "string",
59 "currencyDefinitionType": "CONTRACT_CURRENCY",
60 "activationGroupStatus": "AG_PENDING_ASSESSMENT",
61 "reportList": [
62 "NET_LEASE_INVESTMENT_REPORT"
63 ],
64 "listObjectType": "CONTRACT",
65 "objectList": [
66 {
67 "id": 0,
68 "displayId": "string",
69 "name": "string"
70 }
71 ],
72 "migratedFilterType": "MIGRATED",
73 "assetClassFilterType": "ALL",
74 "assetClasses": [
75 {
76 "id": 10000001,
77 "displayId": "IAC-001",
78 "status": {
79 "name": "ACTIVE",
80 "captionKey": "enum.objectStatus.active",
81 "active": true,
82 "caption": "Active"
83 },
84 "name": "Machinery and Equipment",
85 "assetClassType": "PROPERTY",
86 "infiniteUsefulLife": false
87 }
88 ],
89 "businessAreaFilterType": "ALL",
90 "businessAreas": [
91 {
92 "id": 3001,
93 "displayId": "BA-2025-001",
94 "status": {
95 "name": "ACTIVE",
96 "captionKey": "enum.objectStatus.active",
97 "active": true,
98 "caption": "Active"
99 },
100 "name": "North America Operations"
101 }
102 ],
103 "vendorFilterType": "ALL",
104 "vendors": [
105 {
106 "id": 10000012,
107 "displayId": "0000100003",
108 "status": {
109 "name": "ACTIVE",
110 "captionKey": "enum.objectStatus.active",
111 "active": true,
112 "caption": "Active"
113 },
114 "name": "TEST VENDOR GB",
115 "erpSystemDisplayId": "FINQ8S-300"
116 }
117 ]
118 },
119 "profile": {
120 "id": 0,
121 "name": "string",
122 "principalPositionType": "LESSEE",
123 "erpSystemFilterType": "ALL",
124 "erpSystems": [
125 {
126 "id": 0,
127 "displayId": "string",
128 "status": "CREATED",
129 "name": "string"
130 }
131 ],
132 "leaseAreaFilterType": "ALL",
133 "leaseAreas": [
134 {
135 "id": 0,
136 "displayId": "string",
137 "status": "CREATED",
138 "name": "string"
139 }
140 ],
141 "businessUnitFilterType": "ALL",
142 "businessUnits": [
143 {
144 "id": 0,
145 "displayId": "string",
146 "status": "CREATED",
147 "name": "string"
148 }
149 ],
150 "companyFilterType": "ALL",
151 "companyCodes": [
152 {
153 "id": 0,
154 "displayId": "string",
155 "status": "CREATED",
156 "erpSystemId": 0,
157 "erpSystemDisplayId": "string",
158 "countryId": 0,
159 "countryDisplayId": "string"
160 }
161 ],
162 "departmentFilterType": "ALL",
163 "leaseDepartments": [
164 {
165 "id": 0,
166 "displayId": "string",
167 "status": "CREATED",
168 "name": "string"
169 }
170 ],
171 "leaseGroupFilterType": "ALL",
172 "leaseGroups": [
173 {
174 "id": 0,
175 "displayId": "string",
176 "status": "CREATED",
177 "name": "string"
178 }
179 ],
180 "costCenterFilterType": "ALL",
181 "costCenters": [
182 {
183 "id": 0,
184 "displayId": "string",
185 "status": "CREATED",
186 "name": "string"
187 }
188 ],
189 "profitCenterFilterType": "ALL",
190 "profitCenters": [
191 {
192 "id": 0,
193 "displayId": "string",
194 "status": "CREATED",
195 "name": "string",
196 "validTo": "2019-08-24",
197 "erpSystemId": 0,
198 "erpSystemDisplayId": "string"
199 }
200 ],
201 "workBreakdownStructureFilterType": "ALL",
202 "workBreakdownStructures": [
203 {
204 "id": 0,
205 "displayId": "string",
206 "status": "CREATED",
207 "name": "string"
208 }
209 ],
210 "objectStatus": "CREATED",
211 "securityProfileId": 0,
212 "calendarType": "REGULAR_CALENDAR",
213 "fiscalVariant": {
214 "id": 0,
215 "displayId": "string",
216 "status": "CREATED",
217 "isCalendarYear": true,
218 "yearDependent": true,
219 "erpSystemDisplayId": "string"
220 },
221 "assetClassFilterType": "ALL",
222 "assetClasses": [
223 {
224 "id": "string",
225 "displayId": "Euro"
226 }
227 ],
228 "functionalAreaFilterType": "ALL",
229 "functionalAreas": [
230 {
231 "id": "string",
232 "displayId": "Euro"
233 }
234 ],
235 "businessAreaFilterType": "ALL",
236 "businessAreas": [
237 {
238 "id": "string",
239 "displayId": "Euro"
240 }
241 ],
242 "vendorFilterType": "ALL",
243 "vendors": [
244 {
245 "id": "string",
246 "displayId": "Euro"
247 }
248 ],
249 "leaseClassificationFilterType": "ALL",
250 "leaseClassifications": "string",
251 "accountingStandardType": "string",
252 "filterObjectDto": {
253 "id": 0,
254 "profileId": 0,
255 "displayId": "string",
256 "objectType": "string"
257 },
258 "scriptProfile": true
259 }
260 }
261}
Bulk Update¶
HTTP Request
PUT /api/v1/disclosure_reports/schedule-jobs/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "cronExpression": "string",
5 "cronReadable": "string",
6 "active": true,
7 "unauthorized": true,
8 "nextExecution": "2019-08-24T14:15:22Z",
9 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
10 "previousExecution": "2019-08-24T14:15:22Z",
11 "previousExecutionMessage": "string",
12 "batchSize": 0,
13 "name": "string",
14 "profileId": 0,
15 "input": {
16 "id": 0,
17 "accountingStandardType": "GAAP",
18 "classifications": [
19 "NON_LEASE"
20 ],
21 "fromYear": 0,
22 "fromPeriod": {
23 "id": 0,
24 "displayId": "string",
25 "status": "CREATED",
26 "day": 0,
27 "year": 0,
28 "month": 0,
29 "postingPeriod": 0,
30 "yearShift": 0
31 },
32 "toYear": 0,
33 "toPeriod": {
34 "id": 0,
35 "displayId": "string",
36 "status": "CREATED",
37 "day": 0,
38 "year": 0,
39 "month": 0,
40 "postingPeriod": 0,
41 "yearShift": 0
42 },
43 "fromDate": "2019-08-24",
44 "toDate": "2019-08-24",
45 "currencyDisplayId": "string",
46 "currencyType": "string",
47 "currencyDefinitionType": "CONTRACT_CURRENCY",
48 "activationGroupStatus": "AG_PENDING_ASSESSMENT",
49 "reportList": [
50 "NET_LEASE_INVESTMENT_REPORT"
51 ],
52 "listObjectType": "CONTRACT",
53 "objectList": [
54 {
55 "id": 0,
56 "displayId": "string",
57 "name": "string"
58 }
59 ],
60 "migratedFilterType": "MIGRATED",
61 "assetClassFilterType": "ALL",
62 "assetClasses": [
63 {
64 "id": 10000001,
65 "displayId": "IAC-001",
66 "status": {
67 "name": "ACTIVE",
68 "captionKey": "enum.objectStatus.active",
69 "active": true,
70 "caption": "Active"
71 },
72 "name": "Machinery and Equipment",
73 "assetClassType": "PROPERTY",
74 "infiniteUsefulLife": false
75 }
76 ],
77 "businessAreaFilterType": "ALL",
78 "businessAreas": [
79 {
80 "id": 3001,
81 "displayId": "BA-2025-001",
82 "status": {
83 "name": "ACTIVE",
84 "captionKey": "enum.objectStatus.active",
85 "active": true,
86 "caption": "Active"
87 },
88 "name": "North America Operations"
89 }
90 ],
91 "vendorFilterType": "ALL",
92 "vendors": [
93 {
94 "id": 10000012,
95 "displayId": "0000100003",
96 "status": {
97 "name": "ACTIVE",
98 "captionKey": "enum.objectStatus.active",
99 "active": true,
100 "caption": "Active"
101 },
102 "name": "TEST VENDOR GB",
103 "erpSystemDisplayId": "FINQ8S-300"
104 }
105 ]
106 },
107 "profile": {
108 "id": 0,
109 "name": "string",
110 "principalPositionType": "LESSEE",
111 "erpSystemFilterType": "ALL",
112 "erpSystems": [
113 {
114 "id": 0,
115 "displayId": "string",
116 "status": "CREATED",
117 "name": "string"
118 }
119 ],
120 "leaseAreaFilterType": "ALL",
121 "leaseAreas": [
122 {
123 "id": 0,
124 "displayId": "string",
125 "status": "CREATED",
126 "name": "string"
127 }
128 ],
129 "businessUnitFilterType": "ALL",
130 "businessUnits": [
131 {
132 "id": 0,
133 "displayId": "string",
134 "status": "CREATED",
135 "name": "string"
136 }
137 ],
138 "companyFilterType": "ALL",
139 "companyCodes": [
140 {
141 "id": 0,
142 "displayId": "string",
143 "status": "CREATED",
144 "erpSystemId": 0,
145 "erpSystemDisplayId": "string",
146 "countryId": 0,
147 "countryDisplayId": "string"
148 }
149 ],
150 "departmentFilterType": "ALL",
151 "leaseDepartments": [
152 {
153 "id": 0,
154 "displayId": "string",
155 "status": "CREATED",
156 "name": "string"
157 }
158 ],
159 "leaseGroupFilterType": "ALL",
160 "leaseGroups": [
161 {
162 "id": 0,
163 "displayId": "string",
164 "status": "CREATED",
165 "name": "string"
166 }
167 ],
168 "costCenterFilterType": "ALL",
169 "costCenters": [
170 {
171 "id": 0,
172 "displayId": "string",
173 "status": "CREATED",
174 "name": "string"
175 }
176 ],
177 "profitCenterFilterType": "ALL",
178 "profitCenters": [
179 {
180 "id": 0,
181 "displayId": "string",
182 "status": "CREATED",
183 "name": "string",
184 "validTo": "2019-08-24",
185 "erpSystemId": 0,
186 "erpSystemDisplayId": "string"
187 }
188 ],
189 "workBreakdownStructureFilterType": "ALL",
190 "workBreakdownStructures": [
191 {
192 "id": 0,
193 "displayId": "string",
194 "status": "CREATED",
195 "name": "string"
196 }
197 ],
198 "objectStatus": "CREATED",
199 "securityProfileId": 0,
200 "calendarType": "REGULAR_CALENDAR",
201 "fiscalVariant": {
202 "id": 0,
203 "displayId": "string",
204 "status": "CREATED",
205 "isCalendarYear": true,
206 "yearDependent": true,
207 "erpSystemDisplayId": "string"
208 },
209 "assetClassFilterType": "ALL",
210 "assetClasses": [
211 {
212 "id": "string",
213 "displayId": "Euro"
214 }
215 ],
216 "functionalAreaFilterType": "ALL",
217 "functionalAreas": [
218 {
219 "id": "string",
220 "displayId": "Euro"
221 }
222 ],
223 "businessAreaFilterType": "ALL",
224 "businessAreas": [
225 {
226 "id": "string",
227 "displayId": "Euro"
228 }
229 ],
230 "vendorFilterType": "ALL",
231 "vendors": [
232 {
233 "id": "string",
234 "displayId": "Euro"
235 }
236 ],
237 "leaseClassificationFilterType": "ALL",
238 "leaseClassifications": "string",
239 "accountingStandardType": "string",
240 "filterObjectDto": {
241 "id": 0,
242 "profileId": 0,
243 "displayId": "string",
244 "objectType": "string"
245 },
246 "scriptProfile": true
247 }
248 }
249]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "cronExpression": "string",
18 "cronReadable": "string",
19 "active": true,
20 "unauthorized": true,
21 "nextExecution": "2019-08-24T14:15:22Z",
22 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
23 "previousExecution": "2019-08-24T14:15:22Z",
24 "previousExecutionMessage": "string",
25 "batchSize": 0,
26 "name": "string",
27 "profileId": 0,
28 "input": {
29 "id": 0,
30 "accountingStandardType": "GAAP",
31 "classifications": [
32 "NON_LEASE"
33 ],
34 "fromYear": 0,
35 "fromPeriod": {
36 "id": 0,
37 "displayId": "string",
38 "status": "CREATED",
39 "day": 0,
40 "year": 0,
41 "month": 0,
42 "postingPeriod": 0,
43 "yearShift": 0
44 },
45 "toYear": 0,
46 "toPeriod": {
47 "id": 0,
48 "displayId": "string",
49 "status": "CREATED",
50 "day": 0,
51 "year": 0,
52 "month": 0,
53 "postingPeriod": 0,
54 "yearShift": 0
55 },
56 "fromDate": "2019-08-24",
57 "toDate": "2019-08-24",
58 "currencyDisplayId": "string",
59 "currencyType": "string",
60 "currencyDefinitionType": "CONTRACT_CURRENCY",
61 "activationGroupStatus": "AG_PENDING_ASSESSMENT",
62 "reportList": [
63 "NET_LEASE_INVESTMENT_REPORT"
64 ],
65 "listObjectType": "CONTRACT",
66 "objectList": [
67 {
68 "id": 0,
69 "displayId": "string",
70 "name": "string"
71 }
72 ],
73 "migratedFilterType": "MIGRATED",
74 "assetClassFilterType": "ALL",
75 "assetClasses": [
76 {
77 "id": 10000001,
78 "displayId": "IAC-001",
79 "status": {
80 "name": "ACTIVE",
81 "captionKey": "enum.objectStatus.active",
82 "active": true,
83 "caption": "Active"
84 },
85 "name": "Machinery and Equipment",
86 "assetClassType": "PROPERTY",
87 "infiniteUsefulLife": false
88 }
89 ],
90 "businessAreaFilterType": "ALL",
91 "businessAreas": [
92 {
93 "id": 3001,
94 "displayId": "BA-2025-001",
95 "status": {
96 "name": "ACTIVE",
97 "captionKey": "enum.objectStatus.active",
98 "active": true,
99 "caption": "Active"
100 },
101 "name": "North America Operations"
102 }
103 ],
104 "vendorFilterType": "ALL",
105 "vendors": [
106 {
107 "id": 10000012,
108 "displayId": "0000100003",
109 "status": {
110 "name": "ACTIVE",
111 "captionKey": "enum.objectStatus.active",
112 "active": true,
113 "caption": "Active"
114 },
115 "name": "TEST VENDOR GB",
116 "erpSystemDisplayId": "FINQ8S-300"
117 }
118 ]
119 },
120 "profile": {
121 "id": 0,
122 "name": "string",
123 "principalPositionType": "LESSEE",
124 "erpSystemFilterType": "ALL",
125 "erpSystems": [
126 {
127 "id": 0,
128 "displayId": "string",
129 "status": "CREATED",
130 "name": "string"
131 }
132 ],
133 "leaseAreaFilterType": "ALL",
134 "leaseAreas": [
135 {
136 "id": 0,
137 "displayId": "string",
138 "status": "CREATED",
139 "name": "string"
140 }
141 ],
142 "businessUnitFilterType": "ALL",
143 "businessUnits": [
144 {
145 "id": 0,
146 "displayId": "string",
147 "status": "CREATED",
148 "name": "string"
149 }
150 ],
151 "companyFilterType": "ALL",
152 "companyCodes": [
153 {
154 "id": 0,
155 "displayId": "string",
156 "status": "CREATED",
157 "erpSystemId": 0,
158 "erpSystemDisplayId": "string",
159 "countryId": 0,
160 "countryDisplayId": "string"
161 }
162 ],
163 "departmentFilterType": "ALL",
164 "leaseDepartments": [
165 {
166 "id": 0,
167 "displayId": "string",
168 "status": "CREATED",
169 "name": "string"
170 }
171 ],
172 "leaseGroupFilterType": "ALL",
173 "leaseGroups": [
174 {
175 "id": 0,
176 "displayId": "string",
177 "status": "CREATED",
178 "name": "string"
179 }
180 ],
181 "costCenterFilterType": "ALL",
182 "costCenters": [
183 {
184 "id": 0,
185 "displayId": "string",
186 "status": "CREATED",
187 "name": "string"
188 }
189 ],
190 "profitCenterFilterType": "ALL",
191 "profitCenters": [
192 {
193 "id": 0,
194 "displayId": "string",
195 "status": "CREATED",
196 "name": "string",
197 "validTo": "2019-08-24",
198 "erpSystemId": 0,
199 "erpSystemDisplayId": "string"
200 }
201 ],
202 "workBreakdownStructureFilterType": "ALL",
203 "workBreakdownStructures": [
204 {
205 "id": 0,
206 "displayId": "string",
207 "status": "CREATED",
208 "name": "string"
209 }
210 ],
211 "objectStatus": "CREATED",
212 "securityProfileId": 0,
213 "calendarType": "REGULAR_CALENDAR",
214 "fiscalVariant": {
215 "id": 0,
216 "displayId": "string",
217 "status": "CREATED",
218 "isCalendarYear": true,
219 "yearDependent": true,
220 "erpSystemDisplayId": "string"
221 },
222 "assetClassFilterType": "ALL",
223 "assetClasses": [
224 {
225 "id": "string",
226 "displayId": "Euro"
227 }
228 ],
229 "functionalAreaFilterType": "ALL",
230 "functionalAreas": [
231 {
232 "id": "string",
233 "displayId": "Euro"
234 }
235 ],
236 "businessAreaFilterType": "ALL",
237 "businessAreas": [
238 {
239 "id": "string",
240 "displayId": "Euro"
241 }
242 ],
243 "vendorFilterType": "ALL",
244 "vendors": [
245 {
246 "id": "string",
247 "displayId": "Euro"
248 }
249 ],
250 "leaseClassificationFilterType": "ALL",
251 "leaseClassifications": "string",
252 "accountingStandardType": "string",
253 "filterObjectDto": {
254 "id": 0,
255 "profileId": 0,
256 "displayId": "string",
257 "objectType": "string"
258 },
259 "scriptProfile": true
260 }
261 }
262 ]
263}
Bulk Delete¶
HTTP Request
DELETE /api/v1/disclosure_reports/schedule-jobs/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
true |
none |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Change State¶
HTTP Request
POST /api/v1/disclosure_reports/schedule-jobs/{id}/enable/{state}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
state |
path |
boolean |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Search¶
HTTP Request
POST /api/v1/disclosure_reports/schedule-jobs/search
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Zero-based page index (0..N) |
size |
query |
integer |
false |
The size of the page to be returned |
sort |
query |
array[string] |
false |
Sorting criteria in the format: property,(asc |
body |
body |
false |
none |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
sort |
|
query |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1 |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "activeEqual": true,
16 "nameLike": "string",
17 "profileIdEqual": 0,
18 "accountingStandardTypeEqual": "GAAP",
19 "classificationsLike": "string",
20 "fromYearEqual": 0,
21 "toYearEqual": 0,
22 "currencyDisplayIdEqual": "string",
23 "activationGroupStatusEqual": "AG_PENDING_ASSESSMENT"
24}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "id": 0,
23 "cronExpression": "string",
24 "cronReadable": "string",
25 "active": true,
26 "unauthorized": true,
27 "nextExecution": "2019-08-24T14:15:22Z",
28 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
29 "previousExecution": "2019-08-24T14:15:22Z",
30 "previousExecutionMessage": "string",
31 "batchSize": 0,
32 "name": "string",
33 "profileId": 0,
34 "input": {
35 "id": 0,
36 "accountingStandardType": "GAAP",
37 "classifications": [
38 "NON_LEASE"
39 ],
40 "fromYear": 0,
41 "fromPeriod": {
42 "id": 0,
43 "displayId": "string",
44 "status": "CREATED",
45 "day": 0,
46 "year": 0,
47 "month": 0,
48 "postingPeriod": 0,
49 "yearShift": 0
50 },
51 "toYear": 0,
52 "toPeriod": {
53 "id": 0,
54 "displayId": "string",
55 "status": "CREATED",
56 "day": 0,
57 "year": 0,
58 "month": 0,
59 "postingPeriod": 0,
60 "yearShift": 0
61 },
62 "fromDate": "2019-08-24",
63 "toDate": "2019-08-24",
64 "currencyDisplayId": "string",
65 "currencyType": "string",
66 "currencyDefinitionType": "CONTRACT_CURRENCY",
67 "activationGroupStatus": "AG_PENDING_ASSESSMENT",
68 "reportList": [
69 "NET_LEASE_INVESTMENT_REPORT"
70 ],
71 "listObjectType": "CONTRACT",
72 "objectList": [
73 {
74 "id": 0,
75 "displayId": "string",
76 "name": "string"
77 }
78 ],
79 "migratedFilterType": "MIGRATED",
80 "assetClassFilterType": "ALL",
81 "assetClasses": [
82 {
83 "id": 10000001,
84 "displayId": "IAC-001",
85 "status": {
86 "name": "ACTIVE",
87 "captionKey": "enum.objectStatus.active",
88 "active": true,
89 "caption": "Active"
90 },
91 "name": "Machinery and Equipment",
92 "assetClassType": "PROPERTY",
93 "infiniteUsefulLife": false
94 }
95 ],
96 "businessAreaFilterType": "ALL",
97 "businessAreas": [
98 {
99 "id": 3001,
100 "displayId": "BA-2025-001",
101 "status": {
102 "name": "ACTIVE",
103 "captionKey": "enum.objectStatus.active",
104 "active": true,
105 "caption": "Active"
106 },
107 "name": "North America Operations"
108 }
109 ],
110 "vendorFilterType": "ALL",
111 "vendors": [
112 {
113 "id": 10000012,
114 "displayId": "0000100003",
115 "status": {
116 "name": "ACTIVE",
117 "captionKey": "enum.objectStatus.active",
118 "active": true,
119 "caption": "Active"
120 },
121 "name": "TEST VENDOR GB",
122 "erpSystemDisplayId": "FINQ8S-300"
123 }
124 ]
125 },
126 "profile": {
127 "id": 0,
128 "name": "string",
129 "principalPositionType": "LESSEE",
130 "erpSystemFilterType": "ALL",
131 "erpSystems": [
132 {
133 "id": 0,
134 "displayId": "string",
135 "status": "CREATED",
136 "name": "string"
137 }
138 ],
139 "leaseAreaFilterType": "ALL",
140 "leaseAreas": [
141 {
142 "id": 0,
143 "displayId": "string",
144 "status": "CREATED",
145 "name": "string"
146 }
147 ],
148 "businessUnitFilterType": "ALL",
149 "businessUnits": [
150 {
151 "id": 0,
152 "displayId": "string",
153 "status": "CREATED",
154 "name": "string"
155 }
156 ],
157 "companyFilterType": "ALL",
158 "companyCodes": [
159 {
160 "id": 0,
161 "displayId": "string",
162 "status": "CREATED",
163 "erpSystemId": 0,
164 "erpSystemDisplayId": "string",
165 "countryId": 0,
166 "countryDisplayId": "string"
167 }
168 ],
169 "departmentFilterType": "ALL",
170 "leaseDepartments": [
171 {
172 "id": 0,
173 "displayId": "string",
174 "status": "CREATED",
175 "name": "string"
176 }
177 ],
178 "leaseGroupFilterType": "ALL",
179 "leaseGroups": [
180 {
181 "id": 0,
182 "displayId": "string",
183 "status": "CREATED",
184 "name": "string"
185 }
186 ],
187 "costCenterFilterType": "ALL",
188 "costCenters": [
189 {
190 "id": 0,
191 "displayId": "string",
192 "status": "CREATED",
193 "name": "string"
194 }
195 ],
196 "profitCenterFilterType": "ALL",
197 "profitCenters": [
198 {
199 "id": 0,
200 "displayId": "string",
201 "status": "CREATED",
202 "name": "string",
203 "validTo": "2019-08-24",
204 "erpSystemId": 0,
205 "erpSystemDisplayId": "string"
206 }
207 ],
208 "workBreakdownStructureFilterType": "ALL",
209 "workBreakdownStructures": [
210 {
211 "id": 0,
212 "displayId": "string",
213 "status": "CREATED",
214 "name": "string"
215 }
216 ],
217 "objectStatus": "CREATED",
218 "securityProfileId": 0,
219 "calendarType": "REGULAR_CALENDAR",
220 "fiscalVariant": {
221 "id": 0,
222 "displayId": "string",
223 "status": "CREATED",
224 "isCalendarYear": true,
225 "yearDependent": true,
226 "erpSystemDisplayId": "string"
227 },
228 "assetClassFilterType": "ALL",
229 "assetClasses": [
230 {
231 "id": "string",
232 "displayId": "Euro"
233 }
234 ],
235 "functionalAreaFilterType": "ALL",
236 "functionalAreas": [
237 {
238 "id": "string",
239 "displayId": "Euro"
240 }
241 ],
242 "businessAreaFilterType": "ALL",
243 "businessAreas": [
244 {
245 "id": "string",
246 "displayId": "Euro"
247 }
248 ],
249 "vendorFilterType": "ALL",
250 "vendors": [
251 {
252 "id": "string",
253 "displayId": "Euro"
254 }
255 ],
256 "leaseClassificationFilterType": "ALL",
257 "leaseClassifications": "string",
258 "accountingStandardType": "string",
259 "filterObjectDto": {
260 "id": 0,
261 "profileId": 0,
262 "displayId": "string",
263 "objectType": "string"
264 },
265 "scriptProfile": true
266 }
267 }
268 ],
269 "number": 0,
270 "sort": {
271 "unsorted": false,
272 "sorted": true,
273 "empty": false
274 },
275 "empty": true
276}
Find All¶
HTTP Request
GET /api/v1/disclosure_reports/schedule-jobs
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "id": 0,
23 "cronExpression": "string",
24 "cronReadable": "string",
25 "active": true,
26 "unauthorized": true,
27 "nextExecution": "2019-08-24T14:15:22Z",
28 "previousSuccessfulExecution": "2019-08-24T14:15:22Z",
29 "previousExecution": "2019-08-24T14:15:22Z",
30 "previousExecutionMessage": "string",
31 "batchSize": 0,
32 "name": "string",
33 "profileId": 0,
34 "input": {
35 "id": 0,
36 "accountingStandardType": "GAAP",
37 "classifications": [
38 "NON_LEASE"
39 ],
40 "fromYear": 0,
41 "fromPeriod": {
42 "id": 0,
43 "displayId": "string",
44 "status": "CREATED",
45 "day": 0,
46 "year": 0,
47 "month": 0,
48 "postingPeriod": 0,
49 "yearShift": 0
50 },
51 "toYear": 0,
52 "toPeriod": {
53 "id": 0,
54 "displayId": "string",
55 "status": "CREATED",
56 "day": 0,
57 "year": 0,
58 "month": 0,
59 "postingPeriod": 0,
60 "yearShift": 0
61 },
62 "fromDate": "2019-08-24",
63 "toDate": "2019-08-24",
64 "currencyDisplayId": "string",
65 "currencyType": "string",
66 "currencyDefinitionType": "CONTRACT_CURRENCY",
67 "activationGroupStatus": "AG_PENDING_ASSESSMENT",
68 "reportList": [
69 "NET_LEASE_INVESTMENT_REPORT"
70 ],
71 "listObjectType": "CONTRACT",
72 "objectList": [
73 {
74 "id": 0,
75 "displayId": "string",
76 "name": "string"
77 }
78 ],
79 "migratedFilterType": "MIGRATED",
80 "assetClassFilterType": "ALL",
81 "assetClasses": [
82 {
83 "id": 10000001,
84 "displayId": "IAC-001",
85 "status": {
86 "name": "ACTIVE",
87 "captionKey": "enum.objectStatus.active",
88 "active": true,
89 "caption": "Active"
90 },
91 "name": "Machinery and Equipment",
92 "assetClassType": "PROPERTY",
93 "infiniteUsefulLife": false
94 }
95 ],
96 "businessAreaFilterType": "ALL",
97 "businessAreas": [
98 {
99 "id": 3001,
100 "displayId": "BA-2025-001",
101 "status": {
102 "name": "ACTIVE",
103 "captionKey": "enum.objectStatus.active",
104 "active": true,
105 "caption": "Active"
106 },
107 "name": "North America Operations"
108 }
109 ],
110 "vendorFilterType": "ALL",
111 "vendors": [
112 {
113 "id": 10000012,
114 "displayId": "0000100003",
115 "status": {
116 "name": "ACTIVE",
117 "captionKey": "enum.objectStatus.active",
118 "active": true,
119 "caption": "Active"
120 },
121 "name": "TEST VENDOR GB",
122 "erpSystemDisplayId": "FINQ8S-300"
123 }
124 ]
125 },
126 "profile": {
127 "id": 0,
128 "name": "string",
129 "principalPositionType": "LESSEE",
130 "erpSystemFilterType": "ALL",
131 "erpSystems": [
132 {
133 "id": 0,
134 "displayId": "string",
135 "status": "CREATED",
136 "name": "string"
137 }
138 ],
139 "leaseAreaFilterType": "ALL",
140 "leaseAreas": [
141 {
142 "id": 0,
143 "displayId": "string",
144 "status": "CREATED",
145 "name": "string"
146 }
147 ],
148 "businessUnitFilterType": "ALL",
149 "businessUnits": [
150 {
151 "id": 0,
152 "displayId": "string",
153 "status": "CREATED",
154 "name": "string"
155 }
156 ],
157 "companyFilterType": "ALL",
158 "companyCodes": [
159 {
160 "id": 0,
161 "displayId": "string",
162 "status": "CREATED",
163 "erpSystemId": 0,
164 "erpSystemDisplayId": "string",
165 "countryId": 0,
166 "countryDisplayId": "string"
167 }
168 ],
169 "departmentFilterType": "ALL",
170 "leaseDepartments": [
171 {
172 "id": 0,
173 "displayId": "string",
174 "status": "CREATED",
175 "name": "string"
176 }
177 ],
178 "leaseGroupFilterType": "ALL",
179 "leaseGroups": [
180 {
181 "id": 0,
182 "displayId": "string",
183 "status": "CREATED",
184 "name": "string"
185 }
186 ],
187 "costCenterFilterType": "ALL",
188 "costCenters": [
189 {
190 "id": 0,
191 "displayId": "string",
192 "status": "CREATED",
193 "name": "string"
194 }
195 ],
196 "profitCenterFilterType": "ALL",
197 "profitCenters": [
198 {
199 "id": 0,
200 "displayId": "string",
201 "status": "CREATED",
202 "name": "string",
203 "validTo": "2019-08-24",
204 "erpSystemId": 0,
205 "erpSystemDisplayId": "string"
206 }
207 ],
208 "workBreakdownStructureFilterType": "ALL",
209 "workBreakdownStructures": [
210 {
211 "id": 0,
212 "displayId": "string",
213 "status": "CREATED",
214 "name": "string"
215 }
216 ],
217 "objectStatus": "CREATED",
218 "securityProfileId": 0,
219 "calendarType": "REGULAR_CALENDAR",
220 "fiscalVariant": {
221 "id": 0,
222 "displayId": "string",
223 "status": "CREATED",
224 "isCalendarYear": true,
225 "yearDependent": true,
226 "erpSystemDisplayId": "string"
227 },
228 "assetClassFilterType": "ALL",
229 "assetClasses": [
230 {
231 "id": "string",
232 "displayId": "Euro"
233 }
234 ],
235 "functionalAreaFilterType": "ALL",
236 "functionalAreas": [
237 {
238 "id": "string",
239 "displayId": "Euro"
240 }
241 ],
242 "businessAreaFilterType": "ALL",
243 "businessAreas": [
244 {
245 "id": "string",
246 "displayId": "Euro"
247 }
248 ],
249 "vendorFilterType": "ALL",
250 "vendors": [
251 {
252 "id": "string",
253 "displayId": "Euro"
254 }
255 ],
256 "leaseClassificationFilterType": "ALL",
257 "leaseClassifications": "string",
258 "accountingStandardType": "string",
259 "filterObjectDto": {
260 "id": 0,
261 "profileId": 0,
262 "displayId": "string",
263 "objectType": "string"
264 },
265 "scriptProfile": true
266 }
267 }
268 ],
269 "number": 0,
270 "sort": {
271 "unsorted": false,
272 "sorted": true,
273 "empty": false
274 },
275 "empty": true
276}